package com.hibernate.util;

import java.util.List;

import org.hibernate.Session;
import org.hibernate.cfg.Configuration;

import com.hibernate.enumModel.Address;
import com.hibernate.enumModel.Phone;
import com.hibernate.model.Employee;

public class AppMain {

	@SuppressWarnings("unchecked")
	public static void main(String[] args) {		

		// Creating the config instance & passing the hibernate config file.
		Configuration config = new Configuration();
		config.configure("hibernate.cfg.xml");

		// Hibernate session object to start the db transaction.
		Session session = config.buildSessionFactory().openSession();

		session.beginTransaction();

		Employee emp1 = new Employee();
		emp1.setName("Mike");
		emp1.setDesignation("Software Developer");
		emp1.setAddr(Address.COMMUNICATION);
		emp1.setPhone(Phone.MOBILE);

		session.save(emp1);

		Employee emp2 = new Employee();
		emp2.setName("Peter");
		emp2.setDesignation("Manager");
		emp2.setAddr(Address.PERMANENT);
		emp2.setPhone(Phone.LANDLINE);

		session.save(emp2);

		session.getTransaction().commit();

		System.out.println("\n===================\n");

		List<Employee> list = session.getNamedQuery("findEmployees").getResultList();

		for(Employee myemp : list) {
			System.out.println(myemp.toString());
		}

		// Closing the session object.
		session.close();
	}
}